Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Interface SVGDocumentFactory

All Superinterfaces:
  DocumentFactory

All Known Implementing Classes:
  SAXSVGDocumentFactory

    public interface SVGDocumentFactory

extends DocumentFactory

This interface represents an object which can build a SVGDocument.

Method Summary
`org.w3c.dom.svg.SVGDocument` | `createSVGDocument(String uri)` Creates a SVG Document instance.
`org.w3c.dom.svg.SVGDocument` | `createSVGDocument(String uri, InputStream is)` Creates a SVG Document instance.
`org.w3c.dom.svg.SVGDocument` | `createSVGDocument(String uri, Reader r)` Creates a SVG Document instance.

Methods inherited from interface org.apache.batik.dom.util.DocumentFactory
`createDocument, createDocument, createDocument, createDocument, getDocumentDescriptor, isValidating, setValidating`

Method Detail

### createSVGDocument

    org.w3c.dom.svg.SVGDocument createSVGDocument(String uri)
                                                  throws IOException

  Creates a SVG Document instance.

  Parameters:
    `uri` - The document URI.
  Throws:
    `IOException` - if an error occured while reading the document.

### createSVGDocument

    org.w3c.dom.svg.SVGDocument createSVGDocument(String uri,
                                                  InputStream is)
                                                  throws IOException

  Creates a SVG Document instance.

  Parameters:
    `uri` - The document URI.
    `is` - The document input stream.
  Throws:
    `IOException` - if an error occured while reading the document.

### createSVGDocument

    org.w3c.dom.svg.SVGDocument createSVGDocument(String uri,
                                                  Reader r)
                                                  throws IOException

  Creates a SVG Document instance.

  Parameters:
    `uri` - The document URI.
    `r` - The document reader.
  Throws:
    `IOException` - if an error occured while reading the document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.